 package com.huatek.busi.dao;

 import com.huatek.busi.entity.CwzzThreshold;
 import com.huatek.torch.sql.dao.impl.BaseDao;
 import com.huatek.torch.util.uuid.Uuid;
 import org.springframework.stereotype.Repository;
 import org.springframework.util.StringUtils;

 /**
  * 测温阈值
  */
 @Repository
 public class CwzzThresholdDao extends BaseDao<CwzzThreshold, String>{

     public int saveOrUpdate(CwzzThreshold entity) {
         if(StringUtils.isEmpty(entity.getId())) {
             entity.setId(Uuid.getUUID());
             return this.add(entity);
         }
         return this.updateLocal(entity);
     }
 }
